Bug 232310 - mail/*notmuch*: Update to 0.28
Summary: mail/*notmuch*: Update to 0.28
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kirill Ponomarev
URL: https://notmuchmail.org/pipermail/not...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-10-16 08:40 UTC by Sebastian Schwarz
Modified: 2018-11-10 17:18 UTC (History)
1 user (show)

See Also:


Attachments
notmuch-0.28.patch (7.30 KB, patch)
2018-10-16 08:40 UTC, Sebastian Schwarz
no flags Details | Diff
notmuch-0.28.patch (7.58 KB, patch)
2018-11-06 18:45 UTC, Sebastian Schwarz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Schwarz 2018-10-16 08:40:21 UTC
Created attachment 198198 [details]
notmuch-0.28.patch

Recently notmuch 0.28 was released, which among other fixes features improved message threading and a completely rewritten zsh completion: https://notmuchmail.org/pipermail/notmuch/2018/027128.html

Apart from the version bump the port was adapted to some changes in notmuch's build system.

The ports build under poudriere on FreeBSD:11:amd64.  However there is one warning:

> Using USE_GNOME alone is deprecated, please add USES=gnome.

However I'm not using USE_GNOME "alone".  I use "USE_GNOME=glib20".  So what's up with that?
Comment 1 Sebastian Schwarz 2018-11-06 18:45:20 UTC
Created attachment 199020 [details]
notmuch-0.28.patch

OK, I've fixed the developer warning of "make -C mail/notmuch check-sanity" mentioned above.  The ports now build cleanly.  Can a committer please take a look at this?
Comment 2 Kirill Ponomarev freebsd_committer 2018-11-07 13:15:49 UTC
I can't cleanly apply this patch, could you please re-submit it?
Comment 3 Sebastian Schwarz 2018-11-07 18:33:20 UTC
What is the exact error?  I don't have any problems here:

$ cd /usr/ports
$ svn info | grep Revision
Revision: 484404
$ tmp=$(mktemp)
$ fetch -o "$tmp" -q 'https://bz-attachments.freebsd.org/attachment.cgi?id=199020&format=raw'
$ svnlite patch "$tmp"
U         mail/notmuch-emacs/Makefile
D         mail/notmuch-emacs/files/patch-doc_Makefile.local
D         mail/notmuch-emacs/files/patch-emacs_notmuch-emacs-mua
D         mail/notmuch-emacs/files
U         mail/notmuch-mutt/Makefile
U         mail/notmuch/Makefile
U         mail/notmuch/distinfo
A         mail/notmuch/files/patch-configure
A         mail/notmuch/files/patch-contrib_notmuch-mutt_Makefile
U         mail/notmuch/pkg-plist
$ rm "$tmp"
$ unset tmp
Comment 4 Kirill Ponomarev freebsd_committer 2018-11-07 19:00:21 UTC
# svn info | grep Revision
Revision: 484404
# svn patch "$tmp"        
C         mail/notmuch-emacs/Makefile
>         rejected hunk @@ -40,9 +40,11 @@
G         mail/notmuch-emacs/files/patch-doc_Makefile.local
>         hunk @@ -1,11 +0,0 @@ already applied
G         mail/notmuch-emacs/files/patch-emacs_notmuch-emacs-mua
>         hunk @@ -1,35 +0,0 @@ already applied
C         mail/notmuch-mutt/Makefile
>         rejected hunk @@ -14,6 +14,7 @@
>         rejected hunk @@ -22,14 +23,15 @@
C         mail/notmuch/Makefile
>         rejected hunk @@ -2,7 +2,7 @@
>         rejected hunk @@ -27,7 +27,7 @@
>         rejected hunk @@ -60,12 +60,16 @@
C         mail/notmuch/distinfo
>         rejected hunk @@ -1,3 +1,3 @@
G         mail/notmuch/files/patch-configure
>         hunk @@ -0,0 +1,18 @@ already applied
G         mail/notmuch/files/patch-contrib_notmuch-mutt_Makefile
>         hunk @@ -0,0 +1,15 @@ already applied
C         mail/notmuch/pkg-plist
>         rejected hunk @@ -23,4 +23,5 @@
Summary of conflicts:
  Text conflicts: 5
Comment 5 Kirill Ponomarev freebsd_committer 2018-11-07 19:01:32 UTC
Ah I got it, I'm in wrong dir, sorry.
Comment 6 commit-hook freebsd_committer 2018-11-08 07:35:49 UTC
A commit references this bug:

Author: krion
Date: Thu Nov  8 07:35:31 UTC 2018
New revision: 484432
URL: https://svnweb.freebsd.org/changeset/ports/484432

Log:
  Update to 0.28

  PR:		232310
  Submitted by:	maintainer

Changes:
  head/mail/notmuch/Makefile
  head/mail/notmuch/distinfo
  head/mail/notmuch/files/patch-configure
  head/mail/notmuch/files/patch-contrib_notmuch-mutt_Makefile
  head/mail/notmuch/pkg-plist
  head/mail/notmuch-emacs/Makefile
  head/mail/notmuch-emacs/files/
  head/mail/notmuch-mutt/Makefile
Comment 7 commit-hook freebsd_committer 2018-11-10 17:18:55 UTC
A commit references this bug:

Author: tobik
Date: Sat Nov 10 17:17:56 UTC 2018
New revision: 484625
URL: https://svnweb.freebsd.org/changeset/ports/484625

Log:
  mail/notmuch-mutt: Unbreak build when PREFIX != LOCALBASE

  ===>   Generating temporary packing list
  [...]
  mkdir -p /wrkdirs/usr/ports/mail/notmuch-mutt/work/stage/prefix/notmuch-mutt-0.28/etc/Muttrc.d
  install -m 644 notmuch-mutt.rc /wrkdirs/usr/ports/mail/notmuch-mutt/work/stage/prefix/notmuch-mutt-0.28/etc/Muttrc.d/notmuch-mutt.rc
  mv: rename /wrkdirs/usr/ports/mail/notmuch-mutt/work/stage/usr/local/etc/Muttrc.d/notmuch-mutt.rc to /wrkdirs/usr/ports/mail/notmuch-mutt/work/stage/prefix/notmuch-mutt-0.28/share/examples/notmuch/notmuch-mutt.rc: No such file or directory

  PR:		232310

Changes:
  head/mail/notmuch-mutt/Makefile